<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Theme More lang file.
 *
 * @package    theme_pioneer
 * @copyright  2015 Chris Kenniburg
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
$string['pluginname'] = 'Pioneer';

//Theme Admin Panel Labels
$string['geneicsettings'] = 'General Settings';
$string['themecolorsettings'] = 'Theme Colors';
$string['frontpageheading'] = 'Frontpage Options';
$string['iconnavheading'] = 'Icon Navigation';
$string['colorheading'] = 'Color Options';
$string['googleheading'] = 'Google Fonts';
$string['socialwallheading'] = 'Socialwall Course Format Options';
$string['socialwallheaddesc'] = 'Socialwall Course format is a set of course format plugins for Moodle that provides teachers with an easy to use course that operates similar to Facebook.  You can download the Socialwall Course Format from Moodle.org <a href="https://moodle.org/plugins/browse.php?list=set&id=74">https://moodle.org/plugins/browse.php?list=set&id=74</a>.  The settings below allow you to customize the colors of the socialwall.';
$string['socialiconheading'] = 'Social Icon Navigation';
$string['marketingheading'] = 'Marketing Spots';
$string['tabheading'] = 'Frontpage Tabs';

$string['backgroundfixed'] = 'Background fixed';
$string['backgroundfixed_desc'] = 'Use this setting to fix the background image to the page.';
$string['backgroundimage'] = 'Background image';
$string['backgroundimage_desc'] = 'The image to display as a background of the site.';
$string['backgroundposition'] = 'Background position';
$string['backgroundposition_desc'] = 'The position of the background image.';
$string['backgroundpositioncenterbottom'] = 'Center bottom';
$string['backgroundpositioncentercenter'] = 'Center center';
$string['backgroundpositioncentertop'] = 'Center top';
$string['backgroundpositionleftbottom'] = 'Left bottom';
$string['backgroundpositionleftcenter'] = 'Left center';
$string['backgroundpositionlefttop'] = 'Left top';
$string['backgroundpositionrightbottom'] = 'Right bottom';
$string['backgroundpositionrightcenter'] = 'Right center';
$string['backgroundpositionrighttop'] = 'Right top';
$string['backgroundrepeat'] = 'Background repeat';
$string['backgroundrepeat_desc'] = 'Defines the way the background image will be repeated.';
$string['backgroundrepeatnorepeat'] = 'No repeat';
$string['backgroundrepeatrepeat'] = 'Repeat';
$string['backgroundrepeatrepeatx'] = 'Repeat horizontally';
$string['backgroundrepeatrepeaty'] = 'Repeat vertically';
$string['bodybackground'] = 'Background colour';
$string['bodybackground_desc'] = 'The main colour to use for the background.';
$string['choosereadme'] = '<p>The Pioneer theme is a responsive bootstrap theme for Moodle. Highly customizable and loaded with great features. This theme is ideal for educational institutions and businesses alike. Pioneer is focused on simplicity and providing an intuitive user experience.</p><p>Developed and maintained by Dearborn Public Schools.  We are a K-12 school district in Dearborn, Michigan.  Pioneer is the mascot of Dearborn High School.</p>';

$string['configtitle'] = 'Pioneer';
$string['contentbackground'] = 'Main content background colour';
$string['contentbackground_desc'] = 'The background colour of the main content of the site, leave empty for none.';

$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this textarea will be reflected in every page, making for easier customization of this theme.';

$string['generalalert'] = 'General Alert';
$string['generalalertdesc'] = 'Whatever you add to this textarea will be displayed in the General Alert area on the frontpage.';


$string['fptextbox'] = 'Frontpage Textbox';
$string['fptextboxdesc'] = 'This textbox appears on the frontpage and is ideal for putting a welcome message.';
$string['togglefptextbox'] = 'Toggle Frontpage Text Box Display';
$string['togglefptextboxdesc'] = 'Choose if you wish to hide or show the Frontpage Text Box.';

$string['invert'] = 'Invert navbar';
$string['invertdesc'] = 'Swaps text and background for the navbar at the top of the page between black and white.';

$string['linkcolor'] = 'Link colour';
$string['linkcolor_desc'] = 'The colour of the links.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'The logo should be 140px by 40px.  The logo is displayed in the top left and bottom right of the theme.';

$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['secondarybackground'] = 'Secondary background colour';
$string['secondarybackground_desc'] = 'The background colour of any secondary content, such as blocks.';
$string['textcolor'] = 'Text colour';
$string['textcolor_desc'] = 'The colour of the text.';

// Custom Icons
$string['togglenavicons'] = 'Turn On Custom Icons';
$string['togglenaviconsdesc'] = 'Choose to include custom navigation icons based off Font-Awesome.';
$string['naviconon'] = 'Turn on custom navigation icons';
$string['naviconoff'] = 'Turn off custom navigation icons';

$string['navicon1'] = 'Custom Frontpage Icon One';
$string['navicon2'] = 'Custom Frontpage Icon Two';
$string['navicon3'] = 'Custom Frontpage Icon Three';
$string['navicon4'] = 'Custom Frontpage Icon Four';
$string['navicon5'] = 'Custom Frontpage Icon Five';
$string['navicon6'] = 'Custom Frontpage Icon Six';
$string['navicon7'] = 'Custom Frontpage Icon Seven';
$string['navicon8'] = 'Custom Frontpage Icon Eight';

$string['socialicon1'] = 'Facebook URL';
$string['socialicon2'] = 'Twitter URL';
$string['socialicon3'] = 'Pinterest URL';
$string['socialicon4'] = 'Flickr URL';
$string['socialicon5'] = 'LinkedIn URL';
$string['socialicon6'] = 'YouTube URL';
$string['socialicon7'] = 'Vimeo URL';
$string['socialicon8'] = 'Google Plus URL';

//promoted courses
$string['promotedtitledefault'] = 'Featured courses';
$string['promotedtitledesc'] = 'Please give the Promoted courses block title,
either language key or Text.For ex: lang:display or Display';
$string['pcourseenable'] = 'Enable Featured courses';
$string['pcourses'] = 'Featured Courses';
$string['pcoursesdesc'] = 'Please give the featured courses id should separated by comma.';
$string['promotedcoursesheading'] = 'Featured Courses';
$string['title'] = 'Title';

//Custom Login Page 
$string['lginuser'] = 'username';
$string['lginpass'] = 'password';
$string['lginforgot'] = 'forgot ?';
$string['lginlogin'] = 'Log In';
$string['signuplogin'] = 'Create New';

//top course search form
$string['topsearch'] = 'Search courses';
$string['topsearchbutton'] = 'Find';

//settings info
$string['fptextboxinfo'] = 'Frontpage Only Custom Text Box';
$string['fptextboxinfodesc'] = 'Use this text box to provide instructions and information for your users.  It will only appear on the the frontpage.  The toggle is below is limited to only the frontpage (Dashboard or Site).';
$string['mycorusesinfo'] = 'My Courses Dropdown Menu';
$string['mycorusesinfodesc'] = 'This will display a drop down in the top navigation bar showing only enrolled courses to the user.';
$string['coursegradeinfo'] = 'Course Grade Slider';
$string['coursegradeinfodesc'] = 'Checking this box will display the course gradebook items to students in a slider/toggle on each course page.  This makes it really simple for a student to see their grades for a course.';
$string['headerimageinfo'] = 'Header Image Height';
$string['headerimageinfodesc'] = 'These settings control the height of the header image on the site and in-course activities. ';

// Marketing Spots
$string['alwaysdisplay'] = 'Always Show';
$string['displaybeforelogin'] = 'Show before login only';
$string['displayafterlogin'] = 'Show after login only';
$string['dontdisplay'] = 'Never Show';
$string['marketinginfodesc'] = 'Enter the settings for your marketing spot.';
$string['marketingheadingsub'] = 'Three locations on the front page to add information and links';
$string['marketboxcolor'] = 'Marketing Box background colour';
$string['marketboxcolor_desc'] = 'The colour of the background for the marketing box.';
$string['marketingheight'] = 'Height of Marketing Images';
$string['marketingheightdesc'] = 'If you want to display images in the Marketing boxes you can specify their hight here.';
$string['marketingdesc'] = 'This theme provides the option of enabling three "marketing" or "ad" spots just under the slideshow.  These allow you to easily identify core information to your users and provide direct links.';

$string['togglemarketing'] = 'Toggle Marketing Spot display';
$string['togglemarketingdesc'] = 'Choose if you wish to hide or show the three Marketing Spots.';

$string['marketing1'] = 'Marketing Spot One';
$string['marketing2'] = 'Marketing Spot Two';
$string['marketing3'] = 'Marketing Spot Three';

$string['marketingtitle'] = 'Title';
$string['marketingtitledesc'] = 'Title to show in this marketing spot';
$string['marketingicon'] = 'Link Icon';
$string['marketingicondesc'] = 'Name of the icon you wish to use in the marketing URL Button. List is <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/" target="_new">here</a>.  Just enter what is after "fa-", e.g. "star".';
$string['marketingimage'] = 'Image';
$string['marketingimage_desc'] = 'This provides the option of displaying an image in the marketing spot';
$string['marketingcontent'] = 'Content';
$string['marketingcontentdesc'] = 'Content to display in the marketing box. Keep it short and sweet.';
$string['marketingbuttontext'] = 'Link Text';
$string['marketingbuttontextdesc'] = 'Text to appear on the button.';
$string['marketingbuttonurl'] = 'Link URL';
$string['marketingbuttonurldesc'] = 'URL the button will point to.';
$string['marketingurltarget'] = 'Link Target';
$string['marketingurltargetdesc'] = 'Choose how the link should be opened';
$string['marketingurltargetself'] = 'Current Page';
$string['marketingurltargetnew'] = 'New Page';
$string['marketingurltargetparent'] = 'Parent Frame';

// Custom Icons
$string['togglenavicons'] = 'Turn On Custom Icons';
$string['togglenaviconsdesc'] = 'Choose to include custom navigation icons based off Font-Awesome.';
$string['naviconon'] = 'Turn on custom navigation icons';
$string['naviconoff'] = 'Turn off custom navigation icons';

$string['navicon1'] = 'Custom Frontpage Icon One';
$string['navicon2'] = 'Custom Frontpage Icon Two';
$string['navicon3'] = 'Custom Frontpage Icon Three';
$string['navicon4'] = 'Custom Frontpage Icon Four';
$string['navicon5'] = 'Custom Frontpage Icon Five';
$string['navicon6'] = 'Custom Frontpage Icon Six';
$string['navicon7'] = 'Custom Frontpage Icon Seven';
$string['navicon8'] = 'Custom Frontpage Icon Eight';

$string['navicon'] = 'Icon';
$string['navicondesc'] = 'Name of the icon you wish to use. List is <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/" target="_new">here</a>.  Just enter what is after "fa-", e.g. "star".';
$string['naviconbuttontext'] = 'Tooltip Text';
$string['naviconbuttontextdesc'] = 'Text to appear in the tooltip of the icon when the mouse hovers over it.';
$string['naviconbuttonurl'] = 'Link URL';
$string['naviconbuttonurldesc'] = 'URL the button will point to.';

//Frontpage tabs
$string['tabbutton'] = 'Getting Started';
$string['tabbuttontext'] = 'Tab Button Text';
$string['tabbuttontextdesc'] = 'This text is used in the show/hide button to display the tabs.';
$string['tabtoggle'] = 'Tab Toggle';
$string['tabtoggle_desc'] = 'Show or hide the homepage tabs.';

$string['tab1'] = 'Tab One';
$string['tab2'] = 'Tab Two';
$string['tab3'] = 'Tab Three';
$string['tab4'] = 'Tab Four';
$string['tab5'] = 'Tab Five';
$string['tab6'] = 'Tab Six';
$string['tabinfodesc'] = 'Add a title and a desctription below.  This will only appear on the frontpage as a slider.  The button to activate the slider is located in the top header.';

$string['tabtitle'] = 'Tab Title';
$string['tabtitledesc'] = 'This is the tab title that appears at the top of the tab content.';
$string['tabcontent'] = 'Tab Content';
$string['tabcontentdesc'] = 'The text and HTML you enter here will be displayed in the tab.';


//Google Fonts
$string['gheadingimporturl'] = 'Heading Import URL';
$string['gheadingimporturldesc'] = 'HEADING STEP ONE: Find a font on google.com/fonts.  Click the quick use icon.  Find the step that says "Add this code to your website".  Copy and paste that here. Be sure to complete HEADING STEP 2. <a href="https://www.google.com/fonts"> Find a Google Font</a>';
$string['gbodyimporturl'] = 'Body Import URL';
$string['gbodyimporturldesc'] = 'BODY STEP 1: Find a font on google.com/fonts.  Click the quick use icon.  Find the step that says "Add this code to your website".  Copy and paste that here. Be sure to complete BODY STEP 2. <a href="https://www.google.com/fonts"> Find a Google Font</a>';
$string['headingfont'] = 'Heading Font family';
$string['headingfontdesc'] = 'HEADING STEP 2: Copy and paste the Google font family informaiton here.';
$string['bodyfont'] = 'Body Font';
$string['bodyfontdesc'] = 'BODY STEP 2: Copy and paste the Google font code that begins with font-family (Integrate the fonts into your CSS)';
$string['bodysize'] = 'Body Text Size';
$string['bodysizedesc'] = 'Use a number such as 14px';
$string['bodyweight'] = 'Body Weight';
$string['bodyweightdesc'] = 'Typically Google Fonts will have a number such as 100, 200, 300, etc.  Use that here.';


$string['blockbordercolor'] = 'Block Border Color';
$string['blockbordercolor_desc'] = 'This is the course block border color.  It is the background color of the title area.';
$string['blockcolor'] = 'Block Color';
$string['blockcolor_desc'] = 'This is the course block background color area.';
$string['contentbackgroundcolor'] = 'Content Background Color';
$string['contentbackgroundcolor_desc'] = 'This is the background color for the main course content area.';
$string['iconnavbackgroundcolor'] = 'Icon Navigation Background';
$string['iconnavbackgroundcolor_desc'] = 'This is the background color for the very top icon navigation area.';
$string['headerimagepadding'] = 'Header Image Padding';
$string['headerincourseimagepadding'] = 'Header Image Padding in Course Activities (Incourse)';
$string['headerincourseimagepadding_desc'] = 'After the course homepage, this will be the padding height of the header image.  Making this shorter allows more content to be displayed';
$string['headerimagepadding_desc'] = 'Control the padding and height of the header image for courses.';
$string['headerbackgroundimage'] = 'Default Header Image';
$string['headerbackgroundimage_desc'] = 'This is the default header image.';
$string['headerbackgroundtoggle'] = 'Allow teachers to upload header image';
$string['headerbackgroundtoggle_desc'] = 'If turned on a teacher can upload an image to <a href="https://docs.moodle.org/29/en/Course_settings#Course_summary_files" target="_new">Course Summary Files</a>.  This image should be small to reduce load time.  Recommended size is 1024 width and less than 500kb in size. Otherwise all courses will use the photo you upload below for header image.';


$string['topicweekcolor'] = 'Topic and Week Section Background';
$string['topicweekcolor_desc'] = 'In Topic and Weekly course formats this is the background color for each topic or week in the course.';
$string['sectionheadericon'] = 'Section Title Icon';
$string['sectionheadericondesc'] = 'This icon appears before the title of every topic for weekly and topic based course formats.  Use the unicode setting from Font Awesome. List is <a https://fortawesome.github.io/Font-Awesome/icons/" target="_new">here</a>. The \f02d (default) icon is a book.';
$string['swicontext'] = 'Socialwall Course Format Icon and Text colors';
$string['swicontext_desc'] = 'If you use the Socialwall Course Format this setting will change the colors of the icons and words Attachments, Posts, Message, and Comments in the wall feed.';
$string['swpost'] = 'Socialwall Course Format Post background';
$string['swpost_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of posts in the wall feed.';
$string['swaddpost'] = 'Socialwall Course Format Add Post background';
$string['swaddpost_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of Add Posts area in the wall feed.';
$string['swmessage'] = 'Socialwall Course Format Message background';
$string['swmessage_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of message text area in the wall feed.';
$string['swattach'] = 'Socialwall Course Format Attachment background';
$string['swattach_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of the attachment area in the wall feed.';
$string['swcomment'] = 'Socialwall Course Format comment background';
$string['swcomment_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of the comment area in the wall feed.';
//socialwall CSS labels
$string['swlabelpost'] = 'Post CSS Label';
$string['swlabelmessage'] = 'Message CSS Label';
$string['swlabelcomment'] = 'Comment CSS Label';
$string['swlabelattachment'] = 'Attachment CSS Label';
$string['swlabelpost_desc'] = 'Above each post this is the label that appears in the timeline.';
$string['swlabelmessage_desc'] = 'Above the content of a post this message label appears in the timeline.';
$string['swlabelcomment_desc'] = 'This label identifies the comment section for each post in the timeline.';
$string['swlabelattachment_desc'] = 'When there are attachments with a post this label will identify the attachments.';
$string['swmultilangcss'] = 'Translate Socialwall Labels';
$string['swmultilangcss_desc'] = 'If you operate a multi language site, you can use the example provided to localize the Socialwall labels to the languages you support.';

// My Courses CustomMenu dropdown
$string['custommenuheadingsub'] = 'Add additional functionality to your custommenu.';
$string['custommenudesc'] = 'Settings here allow you to add new dynamic functionality to the custommenu (also refered to as Dropdown menu)';

$string['mydashboardinfo'] = 'Custom User Dashboard';
$string['mydashboardinfodesc'] = 'Displays a list of common functions used by users.';
$string['displaymydashboard'] = 'Display Dashboard';
$string['displaymydashboarddesc'] = 'Display Dashboard of user links in the Custom Menu';

$string['mycoursesinfo'] = 'Dynamic Enrolled Courses List';
$string['mycoursesinfodesc'] = 'Displays a dynamic list of enrolled courses to the user.';
$string['displaymycourses'] = 'Display enrolled courses';
$string['displaymycoursesdesc'] = 'Display enrolled courses for users in the Custom Menu';

$string['mycoursetitle'] = 'Terminology';
$string['mycoursetitledesc'] = 'Change the terminology for the "My Courses" link in the dropdown menu';
$string['mycourses'] = 'My Courses';
$string['myunits'] = 'My Units';
$string['mymodules'] = 'My Modules';
$string['myclasses'] = 'My Classes';
$string['allcourses'] = 'All Courses';
$string['allunits'] = 'All Units';
$string['allmodules'] = 'All Modules';
$string['allclasses'] = 'All Classes';
$string['noenrolments'] = 'You have no current enrolments';
$string['thiscourse'] = 'Activities';
$string['people'] = 'Classmates';
$string['grades'] = 'My Grades';

$string['coursegradetoggle'] = 'Show/Hide Course Grade Slider';
$string['coursegradetoggle_desc'] = 'This will allow students to quickly see a list of all activities and their grade right in the top header area above the breadcrumbs and below the course title.';
$string['coursegradebutton'] = 'Course Grades';


// CourseBox rendering.
$string['frontpagecoursesettings'] = 'Frontpage Courses';
$string['frontpagesettingsheading'] = 'Frontpage rendering';
$string['frontpagedesc'] = 'Configure the way that the course boxes are rendered on the frontpage.';
$string['frontpagerenderer'] = 'Frontpage Course Boxes';
$string['frontpagerendererdesc'] = 'Control the way that the coure boxes on the front page are rendered.';
$string['frontpagerendereroption1'] = 'Tiles';
$string['frontpagerendereroption2'] = 'Tiles w/ overlay';
$string['rendereroverlaycolour'] = 'Overlay colour';
$string['rendereroverlaycolourdesc'] = 'The colour of the overlay, when the "Tiles w/ overlay" renderer is selected.';
$string['rendereroverlayfontcolour'] = 'Overlay font colour';
$string['rendereroverlayfontcolourdesc'] = 'The colour of the font, when hovering over a coursebox with "Tiles w/ overlay" renderer enabled.';
$string['frontpagerendererdefaultimage'] = 'Default course image';
$string['frontpagerendererdefaultimagedesc'] = 'The default image to use when no course image is found, (only applies for Tiles w/ overlay)';